function [f_ir] = pol_p_1d(n2_0,e_p,k_p,f_p,n_p,z0)
%the runge kutta is calculating envolop u instead of e, that's why p_spm need to times the phase.    
    c=3e8;
    eps=8.85e-12;

    e_p=e_p.*exp(-1i*k_p*z0);
    
    
    df=f_p(2)-f_p(1);
    N=length(f_p);


    %Self phase modulation 
    f_0=f_p((length(f_p)+1)/2);                                            %get center frequency
    e_p_t=fftshift(ifft(ifftshift(e_p))).*N*df;                      
    buff3 =  abs(e_p_t).^2;  
    buff3_f=fftshift(fft(ifftshift(buff3.*e_p_t)))./(N*df);
    buff4 =  (0.5*eps*(2*pi)*f_0*n_p((length(f_p)+1)/2).^2.*n2_0).*buff3_f;  
    p_spm = 1i*buff4.*exp(1i*k_p*z0); 


    f_ir =-p_spm;  
        
end